This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817011 - pppd passwordfd.so plugin doesn't load
pppd passwordfd.so plugin doesn't load
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 08:44 EDT by David Woodhouse
Modified: 2012-06-19 20:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:27:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2012-04-27 08:44:03 EDT
Apr 26 17:00:08 shinybook pppd[25224]: /usr/lib/../lib64/pppd/2.4.5/passwordfd.so: undefined symbol: eaptls_check_hook
Apr 26 17:00:08 shinybook pppd[25224]: Couldn't load plugin passwordfd.so


[dwmw2@shinybook ppp-2.4.5]$ pwd
/home/dwmw2/fedora/ppp/f16/ppp-2.4.5
[dwmw2@shinybook ppp-2.4.5]$ grep eaptls_check_hook -r .
./pppd/plugins/passwordfd.c:    eaptls_check_hook = pwfd_check;
Binary file ./pppd/plugins/passwordfd.so matches
./pppd/pppd.h:extern int (*eaptls_check_hook) __P((void));


There *is* no eaptls_check_hook. It's only ever declared 'extern'.

This problem is added by ppp-2.4.5-eaptls-mppe-0.99.patch.
Comment 1 Fedora Update System 2012-05-29 08:45:16 EDT
ppp-2.4.5-21.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ppp-2.4.5-21.fc16
Comment 2 Fedora Update System 2012-05-29 09:06:10 EDT
ppp-2.4.5-22.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ppp-2.4.5-22.fc17
Comment 3 Fedora Update System 2012-05-29 12:19:31 EDT
Package ppp-2.4.5-22.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ppp-2.4.5-22.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8563/ppp-2.4.5-22.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-19 20:27:55 EDT
ppp-2.4.5-22.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.